function love.load()
	local particle = love.graphics.newImage('particle.png')
 
	psystem = love.graphics.newParticleSystem(particle, 32)
	psystem:setParticleLifetime(2, 5) -- Particles live at least 2s and at most 5s.
	psystem:setLinearAcceleration(-5, -5, 50, 100) -- Randomized movement towards the bottom of the screen.
	psystem:setColors(255, 255, 255, 255, 255, 255, 255, 0) -- Fade to black.
end
 
function love.draw()
	-- Draw the particle system at the center of the game window.
	love.graphics.draw(psystem, ball.x+ball.r/2, ball.y+ball.r/2)
end
 
function love.update(dt)
	psystem:update(dt)
end
 
function love.keypressed(key)
	if key == 'space' then
		psystem:emit(32)
	end
end
